// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	models "kuber-crud/models"

	mock "github.com/stretchr/testify/mock"
)

// Generator is an autogenerated mock type for the Generator type
type Generator struct {
	mock.Mock
}

// AddCustomValue provides a mock function with given fields: value
func (_m *Generator) AddCustomValue(value models.GenerateDTO) models.GenerateDTO {
	ret := _m.Called(value)

	var r0 models.GenerateDTO
	if rf, ok := ret.Get(0).(func(models.GenerateDTO) models.GenerateDTO); ok {
		r0 = rf(value)
	} else {
		r0 = ret.Get(0).(models.GenerateDTO)
	}

	return r0
}

// Generate provides a mock function with given fields: value
func (_m *Generator) Generate(value models.GenerateDTO) (models.GenerateDTO, error) {
	ret := _m.Called(value)

	var r0 models.GenerateDTO
	if rf, ok := ret.Get(0).(func(models.GenerateDTO) models.GenerateDTO); ok {
		r0 = rf(value)
	} else {
		r0 = ret.Get(0).(models.GenerateDTO)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(models.GenerateDTO) error); ok {
		r1 = rf(value)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewGenerator interface {
	mock.TestingT
	Cleanup(func())
}

// NewGenerator creates a new instance of Generator. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewGenerator(t mockConstructorTestingTNewGenerator) *Generator {
	mock := &Generator{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
